<?php
require_once(dirname(__FILE__) . "/../libs/Emo.php");

class MyEmo extends Emo
{
	function MyEmo()
	{
		$this->img_dir = '../libs/img'; 	// 絵文字画像パス
		$this->left_delimiter = '[[';		// 開始デリミタ
		$this->right_delimiter = ']]';		// 終了デリミタ
		
		/**
		 * 各キャリアの絵文字の文字コード
		 * 右に設定値一覧を示す。(*)がデフォルト
		 */
		$this->type_set_docomo   = "sjis";		// sjis(*), utf-8
		$this->type_get_docomo   = "sjis";		// sjis(*), utf-8
		$this->type_set_EZweb    = "sjis";		// sjis(*), utf-8
		$this->type_get_EZweb    = "sjis";		// sjis(*), utf-8, tag
		$this->type_set_SoftBank = "web";		// web(*), sjis, utf-8
		$this->type_get_SoftBank = "web";		// web(*), sjis, utf-8
		$this->type_set_Voda3G   = "utf-8";		// web(*), sjis, utf-8
		$this->type_get_Voda3G   = "utf-8";		// web(*), sjis, utf-8
		
		/**
		 * 各キャリアの文字コード
		 * 右に設定値一覧を示す。(*)がデフォルト
		 */
		$this->type_in_docomo    = "sjis";		// sjis(*), utf-8, euc-jp, 他
		$this->type_out_docomo   = "sjis";		// sjis(*), utf-8, euc-jp, 他
		$this->type_in_EZweb     = "sjis";		// sjis(*), utf-8, euc-jp, 他
		$this->type_out_EZweb    = "sjis";		// sjis(*), utf-8, euc-jp, 他
		$this->type_in_SoftBank  = "sjis";		// sjis(*), utf-8, euc-jp, 他
		$this->type_out_SoftBank = "sjis";		// sjis(*), utf-8, euc-jp, 他
		$this->type_in_Voda3G    = "utf-8";		// sjis(*), utf-8, euc-jp, 他
		$this->type_out_Voda3G   = "utf-8";		// sjis(*), utf-8, euc-jp, 他
		$this->type_in_pc        = "sjis";		// sjis(*), utf-8, euc-jp, 他	pc時html入力
		$this->type_out_pc       = "sjis";		// sjis(*), utf-8, euc-jp, 他	pc時html出力	支援ツールhtml
		
		/**
		 * 呼び出し元の文字コード
		 * 右に設定値一覧を示す。(*)がデフォルト
		 */
		$this->type_get_base     = "sjis";		// sjis(*), utf-8, euc-jp, 他	入力変換で使用
		$this->type_set_base     = "sjis";		// sjis(*), utf-8, euc-jp, 他	出力変換で使用
		
		// $this->userAgent = "SoftBank/1.";
		// sample
		// DoCoMo/2.0
		// SoftBank/1.
		// KDDI-HI31 UP.Browser/6.2.0.5 (GUI) MMP/2.0
		// Vodafone/1.0/V702NK/NKJ001
		
		$this->Emo();
	}
}
?>